summaryrefslogtreecommitdiff
path: root/localedata/tst-rpmatch.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1998-03-08 15:26:29 +0000
committerUlrich Drepper <drepper@redhat.com>1998-03-08 15:26:29 +0000
commit3db52d94e2dcd03925664df6a09e9676ad1f2baf (patch)
treec52e151c8bbe577afba5c1e6a0a084641853ce7f /localedata/tst-rpmatch.sh
parenta78de796b7911443b7af40177ee9c33cf69a82e5 (diff)
Update.
1998-03-08 14:58 Ulrich Drepper <drepper@cygnus.com> * Makeconfig (nisobjdir): Set to path to nis directory. (rpath-link): Add nisobjdir. Patch by Sven Verdoolaege <skimo@kotnet.org>. * elf/Makefile: Pretty print. * elf/dl-lookup.c: Include unistd.h. * elf/dl-runtime.c: Likewise. * localedata/Makefile (test-srcs): Add tst-rpmatch. (distribute): Add tst-rpmatch.sh. (tests): Add tst-rpmatch to dependency list and run tst-rpmatch.sh. New tests for rpmatch function by Jochen Hein <jochen.hein@delphi.central.de>. * localedata/tst-rpmatch.c: New file. * localedata/tst-rpmatch.sh: New file. * localedata/locales/de_DE: Correct yesexpr and noexpr. * localedata/locales/de_AT: Likewise. * posix/getopt.c: Update contact address. * posix/getopt1.c: Pretty print. * sysdeps/generic/libc-start.c: Do most of the initialization now here instead of in start.S. * sysdeps/unix/sysv/linux/libc-start.c: Likewise. * sysdeps/i386/elf/start.S: Remove most of the initialization code. * sysdeps/unix/sysv/linux/i386/profil-counter.h: No need for profil_counter to be public. 1998-03-08 13:06 Tim Waugh <tim@cyberelk.demon.co.uk> * posix/wordexp.c (parse_arith): Now works for negative numbers too. (parse_param): Coded parameter length expansion (${#var}). (parse_param): Handling for "=", "+", "-", and the ":" versions added. (parse_param): Cleaned up (fixed) error handling. * posix/wordexp-test.c: IFS now includes non-whitespace character (comma). Added more tests.
Diffstat (limited to 'localedata/tst-rpmatch.sh')
-rwxr-xr-xlocaledata/tst-rpmatch.sh64
1 files changed, 64 insertions, 0 deletions
diff --git a/localedata/tst-rpmatch.sh b/localedata/tst-rpmatch.sh
new file mode 100755
index 0000000000..7718b54aaf
--- /dev/null
+++ b/localedata/tst-rpmatch.sh
@@ -0,0 +1,64 @@
+#! /bin/sh -f
+#
+# Copyright (C) 1998 Free Software Foundation, Inc.
+# This file is part of the GNU C Library and contains tests for
+# the rpmatch(3)-implementation.
+# contributed by Jochen Hein <jochen.hein@delphi.central.de>
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1
+IFS="§"
+rc=0
+while read locale string result dummy; do
+ if [ "$locale" != "#" ]; then
+ LOCPATH=${common_objpfx}localedata \
+ ${common_objpfx}elf/ld.so --library-path $common_objpfx \
+ ${common_objpfx}localedata/tst-rpmatch $locale $string $result \
+ || exit 1
+ fi
+done <<EOF
+#§ These are the tests for rpmatch in glibc. Each line contains one test,
+#§ comments start with #§ in the first column. The fields are seperated
+#§ by paragraph signs and contain: the locale, the string, the expected
+#§ return value of rpmatch(3). If the test fails, test-rpmatch prints
+#§ all these informations
+C§Yes§1
+C§yes§1
+C§YES§1
+C§YeS§1
+C§YEs§1
+C§yEs§1
+C§yES§1
+C§yeS§1
+C§No§0
+C§no§0
+#§ Uh, that's nonsense
+C§nonsens§0
+C§Error§-1
+de_DE§Yes§1
+de_DE§Ja§1
+de_DE§Jammerschade§1
+de_DE§dejavu§-1
+de_DE§Nein§0
+de_DE§Fehler§-1
+de_DE§jein§1
+EOF
+
+rc=$?
+if [ $rc -eq 1 ]; then
+ echo "Errors"
+fi
+exit $rc